import type { VillageState } from "../village";


export default function toggleMissionRepeat(V: VillageState, regionIndex: number) {
    const region = V.worldmap[regionIndex];

    if (!region.state.mission) {
        return false;
    }

    region.state.mission.repeat = !region.state.mission.repeat;

    return true;
}
